package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class MediaRepositories {
    private String group;
    private Metadata metadata;
    /*
     * 暂时来看，virtualMediaRepository只有一个
     *
     */
    private VirtualMediaRepository virtualMediaRepository;

    /**
     * @return the group
     */
    public String getGroup() {
        return group;
    }

    /**
     * @param group the group to set
     */
    public void setGroup(String group) {
        this.group = group;
    }
    /**
     * @return the schemaVersion
     */
    /**
     * @param schemaVersion the schemaVersion to set
     */
    /**
     * @return the metadata
     */
    public Metadata getMetadata() {
        return metadata;
    }

    /**
     * @param metadata the metadata to set
     */
    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the virtualMediaRepository
     */
    public VirtualMediaRepository getVirtualMediaRepository() {
        return virtualMediaRepository;
    }

    /**
     * @param virtualMediaRepository the virtualMediaRepository to set
     */
    public void setVirtualMediaRepository(VirtualMediaRepository virtualMediaRepository) {
        this.virtualMediaRepository = virtualMediaRepository;
    }

    public MediaRepositories() {
        super();
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
